mbed TLS v2.16.5

Data Fields
mbedtls_arc4_context Struct Reference

ARC4 context structure. More...

`#include <arc4.h>`

## Data Fields
int | x
int | y
unsigned char | m [256]

## Detailed Description

ARC4 context structure.

Warning
  ARC4 is considered a weak cipher and its use constitutes a security risk. We recommend considering stronger ciphers instead.

Definition at line 57 of file arc4.h.

## Field Documentation

## ◆ m

unsigned char mbedtls_arc4_context::m[256]

permutation table

Definition at line 61 of file arc4.h.

## ◆ x

int mbedtls_arc4_context::x

permutation index

Definition at line 59 of file arc4.h.

## ◆ y

int mbedtls_arc4_context::y

permutation index

Definition at line 60 of file arc4.h.

The documentation for this struct was generated from the following file:

- arc4.h